Closed Bug 1164795 Opened 5 years ago Closed 4 years ago

[RTL][Dialer]The "+" symbol in "FDN active" view is shown at wrong side.

Categories

(Firefox OS Graveyard :: Gaia::Dialer, defect, P3)

ARM
Gonk (Firefox OS)
defect

Tracking

(tracking-b2g:backlog, b2g-v2.2 affected, b2g-master affected)

RESOLVED WORKSFORME
tracking-b2g backlog
Tracking Status
b2g-v2.2 --- affected
b2g-master --- affected

People

(Reporter: lulu.tian, Unassigned)

References

Details

(Whiteboard: [2.2-nexus-5-l])

Attachments

(2 files)

Attached image FDN error message.png
[1.Description]:
[RTL][Flame v2.2&v3.0][Nexus 5 2.2&3.0][Dialer]When user calls a number that is not an Authorized number of FDN, the "+" symbol is shown at right side of number in "FDN active" view.
See attachment:FDN error message.png

[2.Testing Steps]: 
1. Enable FDN in Settings.
2. Launch Dialer.
3. Call a number with "+" symbol which is not an Authorized number of FDN.(Such as "+8618628210070")
4. Observe the "FDN active" message.

[3.Expected Result]: 
4. The "+" symbol should be shown at left side of phone number.

[4.Actual Result]: 
4. The "+" symbol is shown at right side of phone number.

[5.Reproduction build]: 
Device: Flame 2.2 (affected)
Build ID               20150513002507
Gaia Revision          e048df68f6f4853b5826a8816e143d95258149de
Gaia Date              2015-05-12 19:10:26
Gecko Revision         https://hg.mozilla.org/releases/mozilla-b2g37_v2_2/rev/0e6b4aab2b94
Gecko Version          37.0
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20150513.041549
Firmware Date          Wed May 13 04:15:58 EDT 2015
Bootloader             L1TC000118D0

Device: Flame 3.0 (affected)
Build ID               20150513160203
Gaia Revision          338f66e6a96491d2f5854b188c6b141ceb690d97
Gaia Date              2015-05-13 14:08:45
Gecko Revision         https://hg.mozilla.org/mozilla-central/rev/1fab94ad196c
Gecko Version          41.0a1
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20150513.193307
Firmware Date          Wed May 13 19:33:19 EDT 2015
Bootloader             L1TC000118D0

Device: Nexus 5 2.2 (affected)
Build ID               20150513002507
Gaia Revision          e048df68f6f4853b5826a8816e143d95258149de
Gaia Date              2015-05-12 19:10:26
Gecko Revision         https://hg.mozilla.org/releases/mozilla-b2g37_v2_2/rev/0e6b4aab2b94
Gecko Version          37.0
Device Name            hammerhead
Firmware(Release)      5.1
Firmware(Incremental)  eng.cltbld.20150513.041202
Firmware Date          Wed May 13 04:12:17 EDT 2015
Bootloader             HHZ12f

Device: Nexus 5 3.0 (affected)
Build ID               20150513010202
Gaia Revision          0d6c04f13fd385bda045f4e539b2a67cb5d84b1d
Gaia Date              2015-05-12 17:07:06
Gecko Revision         https://hg.mozilla.org/mozilla-central/rev/62d9b117c688
Gecko Version          41.0a1
Device Name            hammerhead
Firmware(Release)      5.1
Firmware(Incremental)  eng.cltbld.20150513.044441
Firmware Date          Wed May 13 04:44:56 EDT 2015
Bootloader             HHZ12f

[6.Reproduction Frequency]: 
Always Recurrence,5/5

[7.TCID]: 
Free Test
QA Whiteboard: [rtl-impact]
Seems like kind of an edge case, so triaging as P3
Priority: -- → P3
This issue cannot be reproduced on latested build of FlameKK2.2 and FlameKK 2.5,AriesKK 2.5
Rate:0/5
Device:FlameKK_V2.2
Build ID               20150810032504
Gaia Revision          102f1299e9eafe3760e1deb44d556b5c4f36b5af
Gaia Date              2015-08-06 20:46:56
Gecko Revision         https://hg.mozilla.org/releases/mozilla-b2g37_v2_2/rev/da29b5af4232
Gecko Version          37.0
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20150810.065425
Firmware Date          Mon Aug 10 06:54:37 EDT 2015
Base Image             v18D v4
Bootloader             L1TC000118D0

Device:FlameKK_V2.5
Build ID               20150810150206
Gaia Revision          9a8880a95ee4a4aea7895d4e2bcab31bc49ea281
Gaia Date              2015-08-10 16:01:11
Gecko Revision         https://hg.mozilla.org/mozilla-central/rev/8cba870a352c
Gecko Version          43.0a1
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20150810.183734
Firmware Date          Mon Aug 10 18:37:46 EDT 2015
Base Image             v18D v4
Bootloader             L1TC000118D0

Device: AriesKK_V2.5
Build ID               20150810003528
Gaia Revision          09dea2d5ff21cdb56da35fe4aa5bf4c90cf1da7f
Gaia Date              2015-08-09 17:11:47
Gecko Revision         https://hg.mozilla.org/mozilla-central/rev/0e269a1f1beb
Gecko Version          42.0a1
Device Name            aries
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.worker.20150810.000017
Firmware Date          Mon Aug 10 00:00:24 UTC 2015
Bootloader             s1
Status: NEW → RESOLVED
Closed: 4 years ago
Resolution: --- → WORKSFORME
You need to log in before you can comment on or make changes to this bug.